Subject: Re: [PATCH v2 1/2] for-each-ref: re-structure code for moving to 'ref-filter'

From: Karthik Nayak <[email-masked]>
Date: Tue, 26 May 2015 12:28:59 +0530

>
> Also I think Matthieu already commented that "filter" was out of
> place for that struct.  I still think your ref_list is better called
> ref_array, but that is a minor point.  Use of "foo_list" in our
> codebase is predominantly (because we use "commit_list" very often
> in the core part of the system) for a linear linked list where you
> do not have a random access to the items.  string-list is misnomer,
> I would think.
>

ref_array also sounds good, yes! there might be confusion and might be
considered a linked list rather than an array. Will change.

>
> I think you now know after seeing that 56-patch series ;-)
>

Haha, That definitely helped.

>
> If that is the case, I would suggest making that "turn it flex array"
> a separate step.
>

Sure.

-- 
Regards,
Karthik